Home PC Games Linux Windows Database Network Programming Server Mobile  
           
  Home \ Linux \ Workaround CentOS error message during compilation PHP5 common     - MongoDB 3.0 New Features (Database)

- KUbuntu / Ubuntu 14.04 (downgrade) installed SVN 1.7 (Linux)

- Java Concurrency - processes and threads (Programming)

- How to upgrade the kernel to 3.13.7 on Ubuntu / Linux Mint (Linux)

- Make Linux more secure server tips (Linux)

- Squid proxy server (Server)

- Kubernetes cluster deployment (Server)

- Fedora 20 installation source Xen4.3.0 (Linux)

- Detailed installation of CentOS 6.x (Linux)

- Interesting example of Linux Sort command (Linux)

- Using Linux command line and execute PHP code (Programming)

- Use Ganglia to monitor your cluster (Server)

- Docker + OpenvSwitch build experimental environment VxLAN (Server)

- Two kinds of agents of Spring AOP (Programming)

- Java application server WildFly (Server)

- How to enable Software Collections (SCL) on CentOS (Server)

- RHEL 6.6 install GNOME desktop environment (Linux)

- MySQL 5.7.10 source code for the latest version of the installation process in detail (Database)

- Laravel configuration PhpStorm + Xdebug + Chrome settings Debug Environment (Server)

- To protect the temporary files for Linux security (Linux)

 
         
  Workaround CentOS error message during compilation PHP5 common
     
  Add Date : 2017-03-14      
         
         
         
  In CentOS compile PHP5 when sometimes encounter some of the following error messages, basically you can install the appropriate libraries to solve through yum.

The following are some of the specific solutions:

************************************************** *****************************

checking for BZip2 support ... yes checking for BZip2 in default path ... not found configure: error: Please reinstall the BZip2 distribution

Workaround: yum install bzip2-devel

************************************************** *****************************

checking for cURL support ... yes checking if we should use cURL for url streams ... no checking for cURL in default path ... not found configure: error: Please reinstall the libcurl distribution - easy.h should be in / include / curl /

Workaround: yum install curl-devel

************************************************** *****************************

checking for curl_multi_strerror in -lcurl ... yes checking for QDBM support ... no checking for GDBM support ... no checking for NDBM support ... no configure: error: DBA: Could not find necessary header file (s).

Workaround: yum install db4-devel

************************************************** *****************************

checking for fabsf ... yes checking for floorf ... yes configure: error: jpeglib.h not found.

Workaround: yum install libjpeg-devel

************************************************** *****************************

checking for fabsf ... yes checking for floorf ... yes checking for jpeg_read_header in -ljpeg ... yes configure: error: png.h not found.

Workaround: yum install libpng-devel

************************************************** *****************************

checking for png_write_image in -lpng ... yes If configure fails try -with-xpm-dir =

configure: error: freetype.h not found.

Workaround: Reconfigure your PHP with the following option --with-xpm-dir = / usr.

************************************************** *****************************

checking for png_write_image in -lpng ... yes configure: error:. libXpm (a | so) not found.

Workaround: yum install libXpm-devel

************************************************** *****************************

checking for bind_textdomain_codeset in -lc ... yes checking for GNU MP support ... yes configure: error: Unable to locate gmp.h

Workaround: yum install gmp-devel

************************************************** *****************************

checking for utf8_mime2text signature ... new checking for U8T_DECOMPOSE ... configure: error: utf8_mime2text () has new signature, but U8T_CANONICAL is missing This should not happen Check config.log for additional information...

Workaround: yum install libc-client-devel

************************************************** *****************************

checking for LDAP support ... yes, shared checking for LDAP Cyrus SASL support ... yes configure: error: Can not find ldap.h

Workaround: yum install openldap-devel

************************************************** *****************************

checking for mysql_set_character_set in -lmysqlclient ... yes checking for mysql_stmt_next_result in -lmysqlclient ... no checking for Oracle Database OCI8 support ... no checking for unixODBC support ... configure: error: ODBC header file '/usr/include/sqlext.h' not found!

Workaround: yum install unixODBC-devel

************************************************** *****************************

checking for PostgreSQL support for PDO ... yes, shared checking for pg_config ... not found configure: error:. Can not find libpq-fe.h Please specify correct PostgreSQL installation path

Workaround: yum install postgresql-devel

************************************************** *****************************

checking for sqlite 3 support for PDO ... yes, shared checking for PDO includes ... (cached) /usr/local/src/php-5.3.7/ext checking for sqlite3 files in default path ... not found configure: error: Please reinstall the sqlite3 distribution

Workaround: yum install sqlite-devel

************************************************** *****************************

checking for utsname.domainname ... yes checking for PSPELL support ... yes configure: error: Can not find pspell

Workaround: yum install aspell-devel

************************************************** *****************************

checking whether to enable UCD SNMP hack ... yes checking for default_store.h ... no

checking for kstat_read in -lkstat ... no checking for snmp_parse_oid in -lsnmp ... no checking for init_snmp in -lsnmp ... no configure: error:. SNMP sanity check failed Please check config.log for more information.

Workaround: yum install net-snmp-devel

************************************************** *****************************

checking whether to enable XMLWriter support ... yes, shared checking for xml2-config path ... (cached) / usr / bin / xml2-config checking whether libxml build works ... (cached) yes checking for XSL support ... yes, shared configure: error: xslt-config not found. Please reinstall the libxslt> = 1.1.0 distribution

Workaround: yum install libxslt-devel

************************************************** *****************************

configure: error:. xml2-config not found Please check your libxml2 installation.

Workaround: yum install libxml2-devel

************************************************** *****************************

checking for PCRE headers location ... configure: error: Could not find pcre.h in / usr

Workaround: yum install pcre-devel

************************************************** *****************************

configure: error: Can not find MySQL header files under yes Note that the MySQL client library is not bundled anymore.!

Workaround: yum install mysql-devel

************************************************** *****************************

checking for unixODBC support ... configure: error: ODBC header file '/usr/include/sqlext.h' not found!

Workaround: yum install unixODBC-devel

************************************************** *****************************

checking for pg_config ... not found configure: error:. Can not find libpq-fe.h Please specify correct PostgreSQL installation path

Workaround: yum install postgresql-devel

************************************************** *****************************

configure: error: Can not find pspell

Workaround: yum install pspell-devel

************************************************** *****************************

configure: error: Could not find net-snmp-config binary Please check your net-snmp installation..

Workaround: yum install net-snmp-devel

************************************************** *****************************

configure: error:. xslt-config not found Please reinstall the libxslt> = 1.1.0 distribution

Workaround: yum install libxslt-devel
     
         
         
         
  More:      
 
- Linux Mint 17.2 64 bit installation Docker and management software seagull (Linux)
- Linux based serial programming (Programming)
- Automate deployment of Docker-based Rails applications (Server)
- Learning UNIX good habits (Linux)
- About Hibernate cache, you want the latest data have trouble even session.clear (Database)
- awk pattern matching (Programming)
- Compile Android libwebcore.so error occurs when solving (Programming)
- Kali Linux resolve GPG error KEYEXPIRED 1425567400 (Linux)
- Linux filtration empty file command summary (Linux)
- Linux script to copy the folder to all folders with the same name (Linux)
- Xmanager Remote Desktop connection CentOS (Linux)
- Compiled version of Android Opus audio codec library method (Programming)
- Common data structures and functions of Linux process scheduling (Programming)
- Unsafe reboot start (Linux)
- How to release the cache memory on Linux (Linux)
- Simple comparison of MySQL and Oracle in a sql analytical details (Database)
- Quota for Vsftpd do use disk quotas (Server)
- Virtual Judge environment to build and configure under Ubuntu (Server)
- Use rfkill soft-switching and Bluetooth wireless capabilities in Linux (Linux)
- Linux System Getting Started Tutorial: Installing Brother printer in Linux (Linux)
     
           
     
  CopyRight 2002-2020 newfreesoft.com, All Rights Reserved.